Bug 200880 - [maintainer-update] sysutils/avfs update 1.0.2 to 1.0.3
Summary: [maintainer-update] sysutils/avfs update 1.0.2 to 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-15 18:19 UTC by mp39590
Modified: 2015-06-25 22:01 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.72 KB, patch)
2015-06-15 18:19 UTC, mp39590
no flags Details | Diff
patch v2 (1.87 KB, patch)
2015-06-17 18:53 UTC, mp39590
no flags Details | Diff
patch v3 (1.99 KB, patch)
2015-06-17 20:16 UTC, mp39590
no flags Details | Diff
patch v4 (2.46 KB, patch)
2015-06-21 09:38 UTC, mp39590
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mp39590 2015-06-15 18:19:17 UTC
Created attachment 157766 [details]
patch

- update 1.0.2 to 1.0.3

Note to committer: please remove files/patch-src_Makefile.in
Comment 1 Dmitry Marakasov freebsd_committer 2015-06-15 23:32:13 UTC
With extended shebang Q/A check it lists bunch of broken shebangs:

Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/dpkg'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/apt'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/a'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/patchfs'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/deba'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/debd'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/mailfs'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/rpms'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/uimg'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/deb'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'lib/avfs/extfs/uzip'
Comment 2 mp39590 2015-06-17 18:53:58 UTC
Created attachment 157840 [details]
patch v2

Fixed, patch updated.

How this extended check was done?
Comment 3 mp39590 2015-06-17 20:16:35 UTC
Created attachment 157842 [details]
patch v3

more fixes
Comment 4 Dmitry Marakasov freebsd_committer 2015-06-19 00:39:36 UTC
(In reply to mp39590 from comment #2)
> more fixes

PERL is not defined unless there's USES=perl5 (with USE_PERL5=run). And you do need the latter as the port installs perl script. You also need unconditional bash dependency. Otherwise looks good.

> How this extended check was done?

Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh    (revision 389771)
+++ Mk/Scripts/qa.sh    (working copy)
@@ -64,8 +64,7 @@
                shebangonefile "${f}" || rc=1
        # Use heredoc to avoid losing rc from find|while subshell
        done <<-EOF
-       $(find ${STAGEDIR}${PREFIX}/bin ${STAGEDIR}${PREFIX}/sbin \
-           ${STAGEDIR}${PREFIX}/libexec ${STAGEDIR}${PREFIX}/www \
+       $(find ${STAGEDIR}${PREFIX} \
            -type f -perm +111 2>/dev/null)
        EOF

@@ -85,8 +84,7 @@
                fi
        # Use heredoc to avoid losing rc from find|while subshell
        done <<-EOF
-       $(find ${STAGEDIR}${PREFIX}/bin ${STAGEDIR}${PREFIX}/sbin \
-           ${STAGEDIR}${PREFIX}/libexec ${STAGEDIR}${PREFIX}/www \
+       $(find ${STAGEDIR}${PREFIX} \
            -type l -exec stat -f "%N${LF}%Y" {} + 2>/dev/null)
        EOF
Comment 5 mp39590 2015-06-21 09:38:38 UTC
Created attachment 157923 [details]
patch v4

Fixed, thank you for review.
Comment 6 commit-hook freebsd_committer 2015-06-25 22:01:01 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jun 25 22:00:43 UTC 2015
New revision: 390604
URL: https://svnweb.freebsd.org/changeset/ports/390604

Log:
  - Update to 1.0.3
  - Fix shebangs
  - Add missing run-depends

  PR:		200880
  Submitted by:	mp39590@gmail.com

Changes:
  head/sysutils/avfs/Makefile
  head/sysutils/avfs/distinfo
  head/sysutils/avfs/files/patch-src_Makefile.in
  head/sysutils/avfs/pkg-plist